For the complete documentation index, see llms.txt. This page is also available as Markdown.

updateCard

Perform various update operations on card records.

Symitar eDocs References: Coming soon.

Operations

updateCardByID

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
CardLocatorintegerOptional
Responses
200

Successful operation.

application/json
post/updateCardByID
POST /nexum/627/persistent/account/updateCardByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 241

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000017368",
  "CardLocator": 20,
  "CardFields": {
    "Description": "NEXUM W4 CARD UPD",
    "Status": 0
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "UpdateStatus": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": null,
    "Version_1": null,
    "_value_1": null
  },
  "MessageId": "updateCardByID"
}

updateCardAccessByID

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
CardLocatorintegerOptional
CardAccessLocatorintegerOptional
Responses
200

Successful operation.

application/json
post/updateCardAccessByID
POST /nexum/627/persistent/account/updateCardAccessByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 264

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000017368",
  "CardLocator": 20,
  "CardAccessLocator": 22,
  "CardAccessFields": {
    "EnableInquiry": 1,
    "EnableWithdrawal": 0
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "UpdateStatus": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": null,
    "Version_1": null,
    "_value_1": null
  },
  "MessageId": "updateCardAccessByID"
}

updateCardNameByID

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
CardLocatorintegerOptional
CardNameLocatorintegerOptional
Responses
200

Successful operation.

application/json
post/updateCardNameByID
POST /nexum/627/persistent/account/updateCardNameByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 257

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000017368",
  "CardLocator": 20,
  "CardNameLocator": 23,
  "CardNameFields": {
    "First": "NEXUMUPD",
    "UserChar1": "W4"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "UpdateStatus": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": null,
    "Version_1": null,
    "_value_1": null
  },
  "MessageId": "updateCardNameByID"
}

updateCardNoteByID

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
CardLocatorintegerOptional
CardNoteLocatorintegerOptional
Responses
200

Successful operation.

application/json
post/updateCardNoteByID
POST /nexum/627/persistent/account/updateCardNoteByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 280

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000017368",
  "CardLocator": 20,
  "CardNoteLocator": 21,
  "CardNoteFields": {
    "Text": [
      {
        "EntryId": 1,
        "Text": "NEXUM W4 CARD NOTE UPDATED"
      }
    ]
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "UpdateStatus": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": null,
    "Version_1": null,
    "_value_1": null
  },
  "MessageId": "updateCardNoteByID"
}

Last updated

Was this helpful?